/* shadowfs is Copyright (C) 2003 - 2004 Clifford Wolf
 * shadowfs is Copyright (C) 2003 - 2004 LINBIT Information Technologies
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version. A copy of the GNU General
 * Public License can be found at COPYING.
 */

#ifndef SHADOWFS_WRAPPER_H
#define SHADOWFS_WRAPPER_H 1

extern void fopen_wrapper(const char *func, int pass, void *ret, int *err, const char *path, const char *mode);
extern void open_wrapper(const char *func, int pass, void *ret, int *err, const char *path, int flags);

extern void generic_wrapper(const char *func, int pass, void *ret, int *err, const char *path);
extern void generic2_wrapper(const char *func, int pass, void *ret, int *err, const char *oldpath, const char *newpath);

extern void readonly_wrapper(const char *func, int pass, void *ret, int *err, const char *path);

extern void wait_wrapper(const char *func, int pass, void *ret, int *err, int pid, int *status, int options);

#endif /* SHADOWFS_WRAPPER_H */
